import request from '@/utils/request'
import qs from 'qs'
import { upcloud_base_wh_operate } from "@/config/serviceSettings";


export function sourceTrans(parameter) {
  // 源单转换WMS单据
  return request({
    method: 'post',
    url: upcloud_base_wh_operate+'/stock-change/v1/source-trans',
    data: parameter,
  })
}

export function stockChange(parameter) {
  // 源单转换WMS单据
  return request({
    method: 'post',
    url: upcloud_base_wh_operate+'/stock-change/v1/change',
    data: parameter,
  })
}


export function stockChangeDetails(parameter) {
  // 源单转换WMS单据
  return request({
    method: 'get',
    url: upcloud_base_wh_operate+'/stock-change/v1/details',
    params: parameter,
  })
}
